<template lang="pug">
Card.fit(ref='card' title='State')
  template(#info='c')
    p
      | The #[strong State] displays current
      | #[a(href='https://mro-dev.web.cern.ch/docs/std/ssvg-specification.html#name-statecontrol-dom-interface-2' target="_blank" rel="noopener") SSVG state].
    p It may also be used as an editor to modify current SSVG document state.
    p #[strong Note:] press #[kbd Ctrl+S] to apply modifications.
  template(#default='c')
    li.p-0.autoscroll(key='editor')
      div(ref="cm")
    li.p-0(key='ctrl')
      .d-flex.justify-content-end.px-1
        BaseAnimationBlock(anim='height')
          button.m-1.btn.btn-outline-primary(v-show='isModified && !$butils.isNil(editValueJson)' @click='doApply')
            kbd.mr-2(v-if="c.showKeyHints && c.isFocused") Ctrl+S
            | #[i.fa.fa-arrow-circle-right] Apply
</template>
<script src='./StateEdit.vue.js' />
